Bug 1549219 - [abrt] emacs: raise(): emacs-25.3 killed by SIGABRT
Summary: [abrt] emacs: raise(): emacs-25.3 killed by SIGABRT
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jan Synacek
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b8f5b960f8a75eaaeddfbfe7604...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-26 17:59 UTC by Peter F. Patel-Schneider
Modified: 2018-03-01 04:13 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-01 04:13:00 UTC


Attachments (Terms of Use)
File: backtrace (54.69 KB, text/plain)
2018-02-26 17:59 UTC, Peter F. Patel-Schneider
no flags Details
File: cgroup (289 bytes, text/plain)
2018-02-26 17:59 UTC, Peter F. Patel-Schneider
no flags Details
File: core_backtrace (17.31 KB, text/plain)
2018-02-26 17:59 UTC, Peter F. Patel-Schneider
no flags Details
File: cpuinfo (1.37 KB, text/plain)
2018-02-26 17:59 UTC, Peter F. Patel-Schneider
no flags Details
File: dso_list (14.31 KB, text/plain)
2018-02-26 17:59 UTC, Peter F. Patel-Schneider
no flags Details
File: environ (1.83 KB, text/plain)
2018-02-26 17:59 UTC, Peter F. Patel-Schneider
no flags Details
File: limits (1.29 KB, text/plain)
2018-02-26 17:59 UTC, Peter F. Patel-Schneider
no flags Details
File: maps (70.21 KB, text/plain)
2018-02-26 17:59 UTC, Peter F. Patel-Schneider
no flags Details
File: mountinfo (3.81 KB, text/plain)
2018-02-26 17:59 UTC, Peter F. Patel-Schneider
no flags Details
File: open_fds (1.07 KB, text/plain)
2018-02-26 17:59 UTC, Peter F. Patel-Schneider
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2018-02-26 17:59 UTC, Peter F. Patel-Schneider
no flags Details

Description Peter F. Patel-Schneider 2018-02-26 17:59:32 UTC
Description of problem:
This happens occasionally when scriolling the display.

Version-Release number of selected component:
emacs-25.3-3.fc27

Additional info:
reporter:       libreport-2.9.3
backtrace_rating: 4
cmdline:        /usr/bin/emacs --smid=22ff3a1eb-7481-4b17-bdd0-8965b49d8d5a --no-splash --chdir=/home/pfps
crash_function: raise
executable:     /usr/bin/emacs-25.3
journald_cursor: s=346f193a4cc349d58d77eaa1f5f2ab62;i=8b29;b=077283453ede47c29eac56181ece7a08;m=54d79275a;t=566213d215ff2;x=40d1f769cf231724
kernel:         4.15.4-300.fc27.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1316

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 raise at ../sysdeps/unix/sysv/linux/raise.c:51
 #2 emacs_abort at ../../src/sysdep.c:2255
 #3 redisplay_internal at ../../src/xdisp.c:13536
 #4 redisplay_preserve_echo_area at ../../src/xdisp.c:14328
 #5 Fdelete_process at ../../src/process.c:873
 #6 kill_buffer_processes at ../../src/process.c:7231
 #7 shut_down_emacs at ../../src/emacs.c:2002
 #8 x_connection_closed at ../../src/xterm.c:9462
 #9 x_io_error_quitter at ../../src/xterm.c:9574
 #12 XIGetClientPointer at XGetCPtr.c:59

Comment 1 Peter F. Patel-Schneider 2018-02-26 17:59:39 UTC
Created attachment 1400957 [details]
File: backtrace

Comment 2 Peter F. Patel-Schneider 2018-02-26 17:59:41 UTC
Created attachment 1400958 [details]
File: cgroup

Comment 3 Peter F. Patel-Schneider 2018-02-26 17:59:43 UTC
Created attachment 1400959 [details]
File: core_backtrace

Comment 4 Peter F. Patel-Schneider 2018-02-26 17:59:44 UTC
Created attachment 1400960 [details]
File: cpuinfo

Comment 5 Peter F. Patel-Schneider 2018-02-26 17:59:46 UTC
Created attachment 1400961 [details]
File: dso_list

Comment 6 Peter F. Patel-Schneider 2018-02-26 17:59:48 UTC
Created attachment 1400962 [details]
File: environ

Comment 7 Peter F. Patel-Schneider 2018-02-26 17:59:50 UTC
Created attachment 1400963 [details]
File: limits

Comment 8 Peter F. Patel-Schneider 2018-02-26 17:59:52 UTC
Created attachment 1400964 [details]
File: maps

Comment 9 Peter F. Patel-Schneider 2018-02-26 17:59:54 UTC
Created attachment 1400965 [details]
File: mountinfo

Comment 10 Peter F. Patel-Schneider 2018-02-26 17:59:55 UTC
Created attachment 1400966 [details]
File: open_fds

Comment 11 Peter F. Patel-Schneider 2018-02-26 17:59:57 UTC
Created attachment 1400967 [details]
File: proc_pid_status

Comment 12 Peter F. Patel-Schneider 2018-02-28 16:39:03 UTC
The following recipe causes a crash.  The crash causes X to freeze and then
dump me back in a login screen.

emacs -Q -g 80x65
control-X control-F tt.text
control-V
control-P
control-shift-,
control-V
control-P

tt.text is the following file.   The contents of the file appear to be
significant to the crash.

<<<<<< CUT HERE >>>>>>
Tubhtugf ba jung jr jnag gb fgber vasbezngvba:

- gevcyr fgber
- snfg ybnqvat bs uhaqerqf bs zvyyvbaf bs gevcyrf
- dhrel hfvat ng yrnfg SPARQL

- qrpbengvbaf
  - r.t., pregnvagl snpgbe


- TODO
  - yvaxvat guvatf gbtrgure

- ernfbavat fhccbeg
  - pbafvfgrapl sbe ...
  - fcrrpu npgf
  - cerfhccbfvgvbaf
 - Q - jung yriry bs rkcerffvivgl?

- ubj zhpu vasrerapr vf arrqrq 
  - zber guna pna or va jvgu HO flfgrzf?
    - cebwrpg vagb FOL?
    - cebwrpg vagb bagbybtl ynathntr?






- ernfbavat jbexorapu
  - gb fhccbeg NL ernfbavat

- anzrq ragvgvrf
  - gb ohvyq hc n xabjyrqtr tencu

- Spbgg unf ynathntr naq qngn fgehpgher
  

- Mnevfn Bbfgba
  - NL vasrerapr


- Cuneyvr
  - jub vf tbvat gb NRC
  - jung nobhg Oksbeq 
    - RDFbk - 
    - ...

- bagbybtl rinyhngvba
  - pbirentr
    - oernqgu, qrcguu
  - dhnyvgl
    - fgeratgu bs qrsvavgvbaf
    - pbeeryngvba jvgu ernyvgl
    - vagreany pbaarpgvbaf
  - rkcerffvirarff bs ercerfragngvba


- cerqvpgvir vagryyvtrapr
  - Pvz inaMrhef

- pbtavgvba
  - fhofhzcgvba
  - zrebabzl ?
- Yntb
  - fhofhzcgvba
  - ??
- Clp
  - fhofhzcgvba
  - ...


NRC Krlabgr Pbffvovyvgvrf
- Nhnapr if Gbbtyr Nbj

- fgngr bs gur neg va xabjyrqtr tencuf
  - fpurzn.bet
  - Ferronfr
  - Gbbtyr Kabjyrqtr Gencu
  - Ynubb!
  - Bvat
  - lntb
  - hccre bagbybtvrf - SUMO, Clp, ...
  - eryngvbafuvc gb NLU
  - eryngvbafuvc gb Clp
- flzobyvp AI if pbaarpgvbavfg AI


Tubhtugf ba jung jr jnag gb fgber vasbezngvba:

- gevcyr fgber
- snfg ybnqvat bs uhaqerqf bs zvyyvbaf bs gevcyrf
- dhrel hfvat ng yrnfg SPARQL

- qrpbengvbaf
  - r.t., pregnvagl snpgbe


- TODO
  - yvaxvat guvatf gbtrgure

- ernfbavat fhccbeg
  - pbafvfgrapl sbe ...
  - fcrrpu npgf
  - cerfhccbfvgvbaf
 - Q - jung yriry bs rkcerffvivgl?

- ubj zhpu vasrerapr vf arrqrq 
  - zber guna pna or va jvgu HO flfgrzf?
    - cebwrpg vagb FOL?
    - cebwrpg vagb bagbybtl ynathntr?






- ernfbavat jbexorapu
  - gb fhccbeg NL ernfbavat

- anzrq ragvgvrf
  - gb ohvyq hc n xabjyrqtr tencu

- Spbgg unf ynathntr naq qngn fgehpgher
  

- Mnevfn Bbfgba
  - NL vasrerapr


- Cuneyvr
  - jub vf tbvat gb NRC
  - jung nobhg Oksbeq 
    - RDFbk - 
    - ...

- bagbybtl rinyhngvba
  - pbirentr
    - oernqgu, qrcguu
  - dhnyvgl
    - fgeratgu bs qrsvavgvbaf
    - pbeeryngvba jvgu ernyvgl
    - vagreany pbaarpgvbaf
  - rkcerffvirarff bs ercerfragngvba


- cerqvpgvir vagryyvtrapr
  - Pvz inaMrhef

- pbtavgvba
  - fhofhzcgvba
  - zrebabzl ?
- Yntb
  - fhofhzcgvba
  - ??
- Clp
  - fhofhzcgvba
  - ...


NRC Krlabgr Pbffvovyvgvrf
- Nhnapr if Gbbtyr Nbj

- fgngr bs gur neg va xabjyrqtr tencuf
  - fpurzn.bet
  - Ferronfr
  - Gbbtyr Kabjyrqtr Gencu
  - Ynubb!
  - Bvat
  - lntb
  - hccre bagbybtvrf - SUMO, Clp, ...
  - eryngvbafuvc gb NLU
  - eryngvbafuvc gb Clp
- flzobyvp AI if pbaarpgvbavfg AI


<<<<<< CUT HERE >>>>>>

Comment 13 Peter F. Patel-Schneider 2018-02-28 17:13:58 UTC
Reported to emacs bug tracking system as https://debbugs.gnu.org/cgi/bugreport.cgi?bug=30653

Comment 14 Peter F. Patel-Schneider 2018-02-28 18:29:25 UTC
This is likely a bug in X11 or a driver, not in emacs.

Comment 15 Peter F. Patel-Schneider 2018-03-01 03:07:48 UTC
From https://bugs.freedesktop.org/show_bug.cgi?id=105135

"This is fixed in mesa 17.3.6, which was just released to address this specific bug."

Comment 16 Peter F. Patel-Schneider 2018-03-01 04:13:00 UTC
To get the fix do (for now)

sudo dnf --enablerepo=updates-testing update 'mesa*'

and restart X11 (or reboot).


Note You need to log in before you can comment on or make changes to this bug.